Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178115 - gdm crashes after adding user to face browser include list
Summary: gdm crashes after adding user to face browser include list
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-17 20:55 UTC by Clyde E. Kunkel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 15:39:24 UTC


Attachments (Terms of Use)
gdm.conf-custom file (deleted)
2006-01-27 22:37 UTC, Clyde E. Kunkel
no flags Details

Description Clyde E. Kunkel 2006-01-17 20:55:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
gdm crashes after adding user to face browser include list. See steps to reproduce.



Version-Release number of selected component (if applicable):
gdm-2.13.0.4-4

How reproducible:
Always

Steps to Reproduce:
1. Upgrade gdm to gdm-2.13.0.4-4
2. reboot
3. logon as root ok, except kde session instead of default gnome session came up.
3. using menu, modify gdm (btw, I really like the new gdmsetup gui) to use plain
with face browser.
4. logoff
5. new greeter comes up, select gnome session, logon as root.  All ok.
6. using menu, modify gdm to enable logging, allow tcp forwarding.  Logoff
7. logon as root, all ok.
8. using menu, modify gdm to add user kunkelc for face browser.  Logoff
9. problem starts now, gdm tries 6 times, then quits for 2 minutes.  Use time to
logon as root and delete user kunkelc from gdm.conf-custom.  Reboot
10. can now logon again without gdm probs  

Actual Results:  See steps to reproduce

Expected Results:  Should be able to add user(s) to face browser list and gdm should start normally.

Additional info:

Comment 1 Ray Strode [halfline] 2006-01-27 21:30:57 UTC
What gdm theme are you using?

Can you attach your /etc/X11/gdm/custom.conf file?

Comment 2 Clyde E. Kunkel 2006-01-27 22:37:01 UTC
Created attachment 123807 [details]
gdm.conf-custom file

Theme selected is:  plain with face browser

Comment 3 Clyde E. Kunkel 2006-02-03 15:39:24 UTC
Not sure why this is still needinfo reporter, responded in #2.  Did I forget to
check something?  Anyway, after the latest (maybe latest 2) gdm updates, I
tested adding myself as a user for face browsing and now it works.  Tried on two
systems, both rawhide up-to-date, one a clean FC5T2 updated with rawhide.  Would
like to keep open thru FC5T3, if that is ok.


Note You need to log in before you can comment on or make changes to this bug.